## Generic IO

Generic IO — CTPL's IO layer

## Types and Values

enum | CtplIOError
#define | CTPL_IO_ERROR

## Includes

    #include <ctpl/ctpl.h>

## Description

See the two sub-modules CtplInputStream and CtplOutputStream.

## Functions

## Types and Values

### enum CtplIOError

Errors that can be thrown by I/O functions (CtplInputStream and CtplOutputStream methods), from the `CTPL_IO_ERROR` domain.

#### Members

CTPL_IO_ERROR_EOF | End of the stream unexpectedly reached |
CTPL_IO_ERROR_INVALID_NUMBER | The stream doesn't contain a valid number recognized by the function that threw it |
CTPL_IO_ERROR_INVALID_STRING | The stream doesn't contain a valid string literal |
CTPL_IO_ERROR_RANGE | A numeric conversion would overflow |
CTPL_IO_ERROR_FAILED | Something went wrong |

### CTPL_IO_ERROR

    #define CTPL_IO_ERROR   (ctpl_io_error_quark ())

Error domain for CtplIOErrors.